### Class

# Foundry IntentManager

since: 1.1

#### Description [src]

    final class Foundry.IntentManager : Foundry.Service
      implements Json.Serializable {
      /* No available fields */
    }

The intent manager provides a generic mechanism to handle intents within an application.

This could include opening a file with the OpeFileIntent, or other custom intents.

`FoundryIntentHandler` may be registered to handle these intents or ignore them for the next handler to handle them.

Available since: 1.1

#### Ancestors

- FoundryService
- FoundryContextual
- GObject

#### Implements

- JsonSerializable

#### Instance methods

###### foundry_intent_manager_dispatch

Dispatch the intent to the first handler which can handle it.

since: 1.1

##### Methods inherited from FoundryService (4)

###### foundry_service_action_get_enabled

No description available.

###### foundry_service_action_set_enabled

No description available.

###### foundry_service_when_ready

Gets a future that resolves when the service has started.

###### foundry_service_when_shutdown

Gets a future that resolves when the service has shutdown.

##### Methods inherited from FoundryContextual (4)

###### foundry_contextual_acquire

This method provides a checked way to get a `context` for the contextual.

since: 1.1

###### foundry_contextual_dup_context

Gets the `FoundryContext` that `self` is a part of while safely increasing the reference count of the resulting `FoundryContext` by 1.

###### foundry_contextual_inhibit

Creates a new `FoundryInhibitor` that will keep the `FoundryContext` alive and prevent shutdown until `foundry_inhibitor_uninhibit()` is called or the `FoundryInhibitor` is finalized, whichever comes first.

###### foundry_contextual_log

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from JsonSerializable (8)

###### json_serializable_default_deserialize_property

Calls the default implementation of the `Json.SerializableIface.deserialize_property` virtual function.

###### json_serializable_default_serialize_property

Calls the default implementation of the `Json.SerializableIface.serialize_property` virtual function.

###### json_serializable_deserialize_property

Asks a `JsonSerializable` implementation to deserialize the property contained inside `property_node` and place its value into `value`.

###### json_serializable_find_property

Calls the `Json.SerializableIface.find_property` implementation on the `JsonSerializable` instance, which will return the property description for the given name.

###### json_serializable_get_property

Calls the `Json.SerializableIface.get_property` implementation on the `JsonSerializable` instance, which will get the value of the given property.

###### json_serializable_list_properties

Calls the `Json.SerializableIface.list_properties` implementation on the `JsonSerializable` instance, which will return the list of serializable properties.

###### json_serializable_serialize_property

Asks a `JsonSerializable` implementation to serialize an object property into a JSON node.

###### json_serializable_set_property

Calls the `Json.SerializableIface.set_property` implementation on the `JsonSerializable` instance, which will set the property with the given value.

#### Properties

##### Properties inherited from FoundryContextual (1)

###### Foundry.Contextual:context

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryIntentManagerClass {
      FoundryServiceClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryServiceClass`

  No description available.